/merchants/{merchantCode}/images
POST
/merchants/{merchantCode}/images
Uploads an image for use with push notifications
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
FormData Parameters
Section titled “FormData Parameters”file
required
file
The file to upload. Must be either a .jpg or .png file.
Responses
Section titled “Responses”Url of the uploaded file
Media typeapplication/json
object
url
string
Examplegenerated
{ "url": "example"}Validation error
Media typeapplication/json
object
message
string
code
string
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "ENUM_MISMATCH", "description": "human readable error code" } ] } }}Insufficient permissions
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}Merchant not found
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
